Monitoring - Update Dashboard Details
ダッシュボードのプロパティまたは構成と、特定のダッシュボードで使用できるウィジェットを更新します。
PUT http://<Servername>/OperationsManager/monitoring/dashboard/{dashboardId}/widgets
URI パラメーター
| 名前 | / | 必須 | 型 | 説明 |
|---|---|---|---|---|
|
dashboard
|
path | True |
string |
ダッシュボード ID を指定します。 |
要求本文
Media Types: "application/json", "text/json", "application/xml", "text/xml", "application/x-www-form-urlencoded"
| 名前 | 型 | 説明 |
|---|---|---|
| dashboard | ||
| widgets |
応答
| 名前 | 型 | 説明 |
|---|---|---|
| 200 OK |
boolean |
わかりました。ダッシュボードのプロパティまたは構成と、特定のダッシュボードで使用可能なウィジェットが正常に更新されました。 Media Types: "application/json", "text/json", "application/xml", "text/xml" |
例
UpdateDashboardDetails
要求のサンプル
PUT http://<Servername>/OperationsManager/monitoring/dashboard/925b3d43-d716-d56d-84ba-55a2467a6e7d/widgets
{
"dashboard": {
"name": "performance Dashboard",
"description": "test",
"config": "",
"componentType": ""
},
"widgets": [
{
"componentType": "HtmlAlertWidget",
"config": "{\"widgetDisplay\":{\"col\":1,\"row\":1,\"sizex\":6,\"sizey\":4,\"columns\":[\"severity\",\"monitoringobjectdisplayname\",\"name\",\"age\",\"repeatcount\",\"lastmodified\"],\"groupByColumn\":\"nogrouping\",\"expandGroupByColumn\":false,\"sortByColumn\":\"nosorting\",\"sortOrder\":1,\"payload\":\"36d07f06-f74b-f820-9697-fc6dda6bce4e\",\"dragHandle\":\".draggable\",\"resizeHandle\":\".resizable\"},\"widgetParameters\":{\"scope\":{\"scopeSelection\":[]},\"criteria\":{\"severities\":[\"0\",\"1\",\"2\"],\"priorities\":[\"0\",\"2\",\"1\"],\"resolutionStates\":[\"0\",\"247\",\"248\",\"249\",\"250\",\"254\",\"255\"],\"age\":7,\"ageTimeUnit\":\"days\"}},\"widgetRefreshInterval\":5}",
"name": "test",
"mpId": "dcfdedc4-68bd-42b4-1e9a-ba94b1577732",
"id": "36d07f06-f74b-f820-9697-fc6dda6bce4e"
}
]
}
応答のサンプル
[
"Ok"
]
定義
| 名前 | 説明 |
|---|---|
|
Component |
|
|
Update |
|
|
Widget |
ComponentRequest
| 名前 | 型 | 説明 |
|---|---|---|
| componentType |
string |
コンポーネントの種類 |
| config |
string |
コンポーネント構成 |
| description |
string |
コンポーネントの説明 |
| name |
string |
コンポーネントの名前 |
UpdateDashboard
| 名前 | 型 | 説明 |
|---|---|---|
| dashboard | ||
| widgets |
WidgetRequest
| 名前 | 型 | 説明 |
|---|---|---|
| componentType |
string |
コンポーネントの種類 |
| config |
string |
コンポーネント構成 |
| description |
string |
コンポーネントの説明 |
| id |
string |
ウィジェット ID |
| name |
string |
コンポーネントの名前 |